Modify

Opened 3 years ago

Closed 3 years ago

#19130 closed task (wontfix)

Package cups is missing dependencies for the following libraries: libacl.so.1

Reported by: BuMRK Owned by: developers
Priority: response-needed Milestone: Barrier Breaker 14.07
Component: packages Version: Trunk
Keywords: Cc:

Description

Revision: 44634

install -d -m0755 /home/bum/openwrt/barrier_breaker/build_dir/target-mips_34kc+dsp_uClibc-0.9.33.2/cups-1.5.4/ipkg-lantiq/cups/etc/init.d
install -m0755 ./files/cupsd.init /home/bum/openwrt/barrier_breaker/build_dir/target-mips_34kc+dsp_uClibc-0.9.33.2/cups-1.5.4/ipkg-lantiq/cups/etc/init.d/cupsd
install -m0755 /home/bum/openwrt/barrier_breaker/build_dir/target-mips_34kc+dsp_uClibc-0.9.33.2/cups-1.5.4/ipkg-install/usr/sbin/{cupsctl,cupsd} /home/bum/openwrt/barrier_breaker/build_dir/target-mips_34kc+dsp_uClibc-0.9.33.2/cups-1.5.4/ipkg-lantiq/cups/usr/sbin/
find /home/bum/openwrt/barrier_breaker/build_dir/target-mips_34kc+dsp_uClibc-0.9.33.2/cups-1.5.4/ipkg-lantiq/cups -name 'CVS' -o -name '.svn' -o -name '.#*' -o -name '*~'| xargs -r rm -rf
Package cups is missing dependencies for the following libraries:
libacl.so.1
Makefile:670: recipe for target '/home/bum/openwrt/barrier_breaker/bin/lantiq/packages/oldpackages/cups_1.5.4-1_lantiq.ipk' failed
make[3]: * /home/bum/openwrt/barrier_breaker/bin/lantiq/packages/oldpackages/cups_1.5.4-1_lantiq.ipk Error 1
make[3]: Leaving directory '/home/bum/openwrt/barrier_breaker/feeds/oldpackages/net/cups'
package/Makefile:173: recipe for target 'package/feeds/oldpackages/cups/compile' failed
make[2]:
* [package/feeds/oldpackages/cups/compile] Error 2
make[2]: Leaving directory '/home/bum/openwrt/barrier_breaker'
package/Makefile:170: recipe for target '/home/bum/openwrt/barrier_breaker/staging_dir/target-mips_34kc+dsp_uClibc-0.9.33.2/stamp/.package_compile' failed
make[1]: * /home/bum/openwrt/barrier_breaker/staging_dir/target-mips_34kc+dsp_uClibc-0.9.33.2/stamp/.package_compile Error 2
make[1]: Leaving directory '/home/bum/openwrt/barrier_breaker'
/home/bum/openwrt/barrier_breaker/include/toplevel.mk:171: recipe for target 'world' failed
make:
* [world] Error 2

Attachments (0)

Change History (2)

comment:1 Changed 3 years ago by BuMRK

If i add the relevant line in the package Makefile to this:

DEPENDS:=+libcups +libcupsmime +libcupscgi +libcupsppdc +libusb-1.0

DEPENDS:=+libcups +libcupsmime +libcupscgi +libcupsppdc +libusb-1.0 +libncurses +libacl

comment:2 Changed 3 years ago by nbd

  • Resolution set to wontfix
  • Status changed from new to closed

cups is unmaintained, and no further changes will be made to it until it is picked up and maintained here: https://github.com/openwrt/packages

Add Comment

Modify Ticket

Action
as closed .
The resolution will be deleted. Next status will be 'reopened'.
Author


E-mail address and user name can be saved in the Preferences.

 
Note: See TracTickets for help on using tickets.